सामग्री पर जाएँ

Kandinsky 6.0 Pro · Image to Video

इंटीग्रेट करें

मॉडल id kandinsky6-pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky6-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.401 1,401 API क्रेडिट · ≈ ₽150.72 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Sber AI इमेज से वीडियो नेटिव ऑडियो #image-to-video#kandinsky#lightweight

ऑडियो, नेगेटिव प्रॉम्प्ट और गाइडेंस नियंत्रण के साथ शुरुआती फ़्रेम की इमेज को वीडियो में एनिमेट करता है; Pro टियर

Sber AI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वांछित वीडियो और साथ की ध्वनि का टेक्स्ट विवरण।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

वीडियो का शुरुआती फ़्रेम प्रदान करने वाली इमेज।

aspect_ratio डिफ़ॉल्ट auto

वीडियो का आस्पेक्ट रेशियो; `auto` चुनने पर स्रोत इमेज को केंद्रित क्रॉप के साथ उसके सबसे निकट समर्थित रेशियो में फ़िट किया जाता है।

upscale_factor

वीडियो बड़ा करने का फ़ैक्टर: 2, 2.25 या 4 चुनें; 2.25, 480p आउटपुट को 1080p में बदलता है। दिए जाने पर यह फ़ैक्टर Kandinsky 6 वीडियो सुपर-रिज़ॉल्यूशन के माध्यम से लागू होता है।

डिफ़ॉल्ट 50

Denoising चरणों की संख्या।

उन्नत negative_prompt · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker

अनचाही वीडियो सामग्री निर्दिष्ट करने वाला नेगेटिव प्रॉम्प्ट; जब तक आप प्रतिस्थापन न दें, मॉडल का अंतर्निहित संस्करण उपयोग होता है।

डिफ़ॉल्ट 5

Classifier-free guidance की तीव्रता।

निर्माण के दौरान उपयोग की गई यादृच्छिक सीड।

POST /run/kandinsky6-pro/image-to-video?wait=20 कोटेशन → $1.401
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky6-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kandinsky 6.0 Pro · Image to Video के बारे में

`image_url` को पहला फ़्रेम और गति व ध्वनि का वर्णन करने वाला आवश्यक `prompt` लेता है। डिफ़ॉल्ट `auto` आस्पेक्ट रेशियो में निकटतम समर्थित रेशियो चुना जाता है और इमेज को केंद्र से क्रॉप किया जाता है। `negative_prompt`, 1 से 10 तक `guidance_scale` और अधिकतम 50 डीनॉइज़िंग स्टेप्स उपलब्ध हैं। वैकल्पिक प्रॉम्प्ट विस्तार, सिंक किया गया ऑडियो और 2, 2.25 या 4 का अपस्केल भी उपलब्ध है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वांछित वीडियो और साथ की ध्वनि का टेक्स्ट विवरण।
image_urlआवश्यक image
प्रकारurl · image
वीडियो का शुरुआती फ़्रेम प्रदान करने वाली इमेज।
negative_promptवैकल्पिक
प्रकारstring | null
अनचाही वीडियो सामग्री निर्दिष्ट करने वाला नेगेटिव प्रॉम्प्ट; जब तक आप प्रतिस्थापन न दें, मॉडल का अंतर्निहित संस्करण उपयोग होता है।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
16:99:161:14:33:4
वीडियो का आस्पेक्ट रेशियो; `auto` चुनने पर स्रोत इमेज को केंद्रित क्रॉप के साथ उसके सबसे निकट समर्थित रेशियो में फ़िट किया जाता है।
generate_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
वीडियो के साथ सिंक्रोनाइज़ किए गए ऑडियो ट्रैक का निर्माण नियंत्रित करता है।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्माण से पहले प्रॉम्प्ट विस्तार, जिसमें मॉडल के अंतर्निहित Qwen2.5-VL टेक्स्ट एन्कोडर का उपयोग करके वीडियो और ऑडियो दोनों को कवर करने वाला विस्तृत विवरण बनाया जाता है।
upscale_factorवैकल्पिक
प्रकारenum
22.254null
वीडियो बड़ा करने का फ़ैक्टर: 2, 2.25 या 4 चुनें; 2.25, 480p आउटपुट को 1080p में बदलता है। दिए जाने पर यह फ़ैक्टर Kandinsky 6 वीडियो सुपर-रिज़ॉल्यूशन के माध्यम से लागू होता है।
seedवैकल्पिक
प्रकारinteger | null
निर्माण के दौरान उपयोग की गई यादृच्छिक सीड।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट50
8 – 50
Denoising चरणों की संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
1 – 10
Classifier-free guidance की तीव्रता।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky6-pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1401,
    "usd": "1.401",
    "charged": 1401,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}आउटपुट वीडियो, जिसमें अनुरोध किए जाने पर ऑडियो ट्रैक शामिल होता है।
seed
integerनिर्माण के दौरान उपयोग की गई यादृच्छिक सीड।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kandinsky6-pro/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt